﻿using System;
using System.Linq;
using FaragostarWebServiceSample.FaraGostarAuthService;
using FaragostarWebServiceSample.FaraGostarCustomerService;

namespace FaragostarWebServiceSample
{
    internal class Program
    {
        private static void Main()
        {
            //Connect The WebService With using that Diposible Memory After Finishing Job.
            using (var customerServiceClient = new CustomerServiceClient())
            using (var authServiceClient = new AuthServiceClient())
            {
                //Define Username 
                const string username = "admin";
                //Fill Model 
                var userModel = new CredentialModel
                    {
                        Username = username,
                        Password = "1"
                    }
                    ;
                //Define Guid That Get A FaraGostar Company
                var applicationGuid = new Guid("8A5D7167-E0F9-4C3B-BAA6-EB736A707BAD");
                var ticketModel = authServiceClient.SignIn(applicationGuid, userModel);
                //Get ticketId
                var ticket = ticketModel.SecureTicketId;
                var employeePositonModel = customerServiceClient.GetUserEmployeePosition(ticket, username);
                var employeePosionCode = employeePositonModel.SingleOrDefault(x => x.IsDefault)?.EmployeePositionCode;
                // var sampleResult = customerServiceClient.someMethod(ticket, employeePosionCode);
            }
        }
    }
}