﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.IO;
using System.Configuration;
using System.Threading.Tasks;
using Newtonsoft.Json;
using MySql.Data.MySqlClient;
using System.Data;
namespace ProcessMakerNewCase
{
    public partial class Routecase : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            try
            {
                var caseParam = new NewCaseparameter
                {
                    variables = new List<Variable>()
                        {
                            new Variable()
                            {
                                //name =TextBox1.Text,
                                //family = TextBox2.Text
                            }
                        },
                    pro_uid = ConfigurationManager.AppSettings["pro_uid"],
                    tas_uid = ConfigurationManager.AppSettings["tas_uid"]
                };

                var newCase = new CaseModel();


                string uid = GridView1.Rows[0].Cells[0].Text;


                var result = newCase.Route_only(caseParam, ConfigurationManager.AppSettings["token"],uid,TextBox1.Text);

                Button2_Click(sender, e);
                Label1.Text = "Case Routed to next task successfully.";
            
            
            }
            catch (Exception ex)
            {
                throw new Exception(ex.Message);
            }

        }

        protected void Button2_Click(object sender, EventArgs e)
        {

                string constr = ConfigurationManager.ConnectionStrings["default"].ConnectionString;
                using (MySqlConnection con = new MySqlConnection(constr))
                {
                    using (MySqlCommand cmd = new MySqlCommand("SELECT A.APP_UID as UID,a.APP_STATUS as Status,a.APP_TITLE as Title,tsk.TAS_TITLE as Task,p.PRO_TITLE as process,CONCAT (U.USR_FIRSTNAME,' ', U.USR_LASTNAME) AS Assigned FROM APPLICATION A inner join  APP_DELEGATION AD on A.APP_UID=AD.APP_UID  inner join USERS U on U.USR_UID = AD.USR_UID  inner join users u2 on A.APP_CUR_USER=u2.USR_UID inner join process as p on a.PRO_UID = p.PRO_UID inner join bpmn_process bp on bp.PRJ_UID=p.PRO_UID inner join task tsk on ad.TAS_UID= tsk.TAS_UID WHERE  AD.APP_NUMBER="+TextBox1.Text+" and AD.DELEGATION_ID in ( SELECT max(DELEGATION_ID) from  APP_DELEGATION WHERE APP_NUMBER="+TextBox1.Text+")") )
                    {
                        using (MySqlDataAdapter da = new MySqlDataAdapter())
                        {
                            cmd.Connection = con;
                            da.SelectCommand = cmd;
                            using (DataTable dt = new DataTable())
                            {
                                da.Fill(dt);
                                GridView1.DataSource = dt;
                                GridView1.DataBind();
                               // int TotalRecord = dt.Rows.Count;
                            }
                        }
                    }
                }

                int TotalRecord = GridView1.Rows.Count;
                if (TotalRecord == 1)
                {
                    Button1.Visible = true;

                }
        }
    }
}