﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;
using System.Threading.Tasks;

namespace ProcessMakerNewCase
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the class name "Service1" in code, svc and config file together.
    // NOTE: In order to launch WCF Test Client for testing this service, please select Service1.svc or Service1.svc.cs at the Solution Explorer and start debugging.
    public class Service1 : IService1
    {
        public void NewCase(string ProductName,string Quantity,string Name,string DateOfRequest,string Unit)
        {
            try
            {
                var caseParam = new NewCaseparameter
                {
                    variables = new List<Variable>()
                        {
                            new Variable()
                            {
                                kalaname =ProductName,
                                mojudi = Quantity,
                                name = Name,
                                tarikh =DateOfRequest,
                                vahed = Unit
                            }
                        },
                    pro_uid = ConfigurationManager.AppSettings["pro_uid"],
                    tas_uid = ConfigurationManager.AppSettings["tas_uid"]
                };
                var newCase = new CaseModel();


                Task.Run(() => newCase.CreateNewCase(caseParam, ""));
                //Task.Run(() => newCase.CreateNewCase(caseParam, ConfigurationManager.AppSettings["token"]));

            }
            catch (Exception ex)
            {
                throw new Exception(ex.Message);
            }
        }

        public void Login()
        {
            try
            {
                var caseParam = new Loginparameter();
                var newCase = new CaseModel();


                Task.Run(() => newCase.Login());
                

            }
            catch (Exception ex)
            {
                throw new Exception(ex.Message);
            }
        }

        //public CompositeType GetDataUsingDataContract(CompositeType composite)
        //{
        //    return null;

        //}
    }
}
